diff -r fbe2b32500d5 src/network/C4NetIO.h
--- a/src/network/C4NetIO.h	Sun Mar 07 15:16:58 2010 +0100
+++ b/src/network/C4NetIO.h	Thu Mar 18 12:49:03 2010 -0700
@@ -51,6 +51,10 @@
 // #define C4NETIO_DEBUG
 #endif
 
+#ifdef __FreeBSD__
+// netinet/in.h must be included before C4NetIO.h on this system
+#include <netinet/in.h>
+#endif
 
 // net i/o base class
 class C4NetIO : public StdSchedulerProc 
diff -r fbe2b32500d5 src/lib/Standard.h
--- a/src/lib/Standard.h	Sun Mar 07 15:16:58 2010 +0100
+++ b/src/lib/Standard.h	Thu Mar 11 15:30:13 2010 -0800
@@ -187,8 +187,10 @@
 	#define C4_OS "linux"
 #elif defined(__APPLE__)
 	#define C4_OS "mac"
+#elif defined(__FreeBSD__)
+	#define C4_OS "freebsd"
 #else
-	#define C4_OS "unknown";
+	#define C4_OS "unknown"
 #endif
 
 // Color triplets
